# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

fileapi_menu_item = items.MenuItem(
    # GENERAL
    _('Fileapi'), 
    reverse('admin:app_list', kwargs={'app_label': 'fileapi'}),
    children=[
        items.MenuItem(
            _('Fileapi'),
            '',
            children=[
                items.MenuItem(_('Add Fileapi'), reverse('admin:fileapi_fileapi_add',)), 
                items.MenuItem(_('Fileapi List'), reverse('admin:fileapi_fileapi_changelist',)),
            ]
        ),
    ]
)


register_menu(fileapi_menu_item, 'jmb.fileapi')