# coding: utf-8
"""
Placeholder
"""

from django.conf import settings
from django.core.urlresolvers import reverse
from django.db import models
from django.utils.translation import ugettext_lazy as _

from jmb.core.db.models import DateModel, UserModel, StatusModel, OrderedModel, SEOModel
from jmb.i18n.models import TranslationModel, I18NModel
from jmb.core.db.fields import HTMLField, HTMLFieldTinyMCE

###################################
# # MODEL                          #
###################################

class Fileapitest(StatusModel):
    file = models.ImageField(upload_to="fileapitest/%Y/%m/%W/")

    class Meta(object):
        verbose_name = _('FileApiTestModel')
        verbose_name_plural = _('FileApiTestModel')

    def __unicode__(self):
        return self.field
    
    def get_absolute_url(self):
            return reverse('fileapitest-update', args=(self.pk,))

if settings.CMS_ENABLED:
    import namespace.appname.cms.models  # noqa
