# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

fileapitest_menu_item = items.MenuItem(
    # GENERAL
    _('Fileapitest'), 
    reverse('admin:app_list', kwargs={'app_label': 'fileapitest'}),
    children=[
        items.MenuItem(
            _('Fileapitest'),
            '',
            children=[
                items.MenuItem(_('Add Fileapitest'), reverse('admin:fileapitest_fileapitest_add',)), 
                items.MenuItem(_('Fileapitest List'), reverse('admin:fileapitest_fileapitest_changelist',)),
            ]
        ),
    ]
)


register_menu(fileapitest_menu_item, 'jmb.fileapitest')