from django.views.generic.edit import CreateView, UpdateView, DeleteView
from django.core.urlresolvers import reverse_lazy
from jmb.fileapitest.models import Fileapitest
from jmb.fileapitest.forms import FileapitestForm


class FileapitestCreate(CreateView):
    model = Fileapitest
    form_class = FileapitestForm
    
class FileapitestUpdate(UpdateView):
    model = Fileapitest
    form_class = FileapitestForm

class FileapitestDelete(DeleteView):
    model = Fileapitest
    success_url = reverse_lazy('fileapitest-main')

